%define mwdatadir %{_datadir}/mediawiki119
%define mwikidir  %{_var}/www/mediawiki119

Summary: A wiki engine
Name:    mediawiki119
Version: 1.19.11
Release: 2%{?dist}
License: GPLv2+ and public domain and CC-BY-SA
Group:   Development/Tools
URL:     http://www.mediawiki.org/
Source0: http://download.wikimedia.org/mediawiki/1.19/mediawiki-%{version}.tar.gz
Source1: mediawiki119.conf
Source2: README.RPM
Source3: http://download.wikimedia.org/mediawiki/1.19/mediawiki-%{version}.tar.gz.sig
Source4: keys.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires(pre): httpd
Requires: php >= 5.2.3, php-xml, php-mysql, php-pgsql,


Obsoletes: mediawiki < 1.14.0-46
Provides: mediawiki = %{version}-%{release}
Obsoletes: mediawiki116 < 1.16.0-10
Provides: mediawiki116 = %{version}-%{release}


%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

%prep
%setup -q -n mediawiki-%{version}

##
## Copy over the README's 
cp -p %{SOURCE2} .
cp -p %{SOURCE3} .
cp -p %{SOURCE4} .

%build

%install
rm -rf %{buildroot}

# move away the documentation to the final folder.
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}

# now copy the rest to the buildroot.
mkdir -p %{buildroot}%{mwdatadir}

FILES="StartProfiler.sample api.php img_auth.php index.php load.php opensearch_desc.php profileinfo.php redirect.php redirect.phtml thumb.php thumb_handler.php wiki.phtml"

DIRECS="bin cache extensions images includes languages maintenance mw-config resources serialized skins"

rm -f docs/html/.gitignore

for i in ${FILES} ${DIRECS}; do
    cp -a ./${i} %{buildroot}%{mwdatadir}/${i}
done

# remove unneeded parts
rm -fr %{buildroot}%{mwdatadir}/includes/zhtable
find %{buildroot}%{mwdatadir}/  \( -name .htaccess \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name \*.cmi \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name .gitignore \) -exec rm '{}' \;
find %{buildroot}%{mwdatadir}/  \( -name .gitreview \) -exec rm '{}' \;

## REMOVE FOR RPMLINT
rm -f %{buildroot}%{mwdatadir}/maintenance/archives/patch-image_reditects.sql
rm -f %{buildroot}%{mwdatadir}/maintenance/archives/patch-page_no_title_convert.sql
rm -rf %{buildroot}%{mwdatadir}/maintenance/hiphop/

# fix permissions
chmod +x %{buildroot}%{mwdatadir}/bin/*
find %{buildroot}%{mwdatadir} -name \*.pl | xargs chmod +x

# create a default instance of which other instances can be copied
mkdir -p %{buildroot}%{mwikidir}
cd %{buildroot}%{mwikidir}/

cp -a %{buildroot}%{mwdatadir}/images .
cp -a %{buildroot}%{mwdatadir}/mw-config .
cp -a %{buildroot}%{mwdatadir}/cache .

LINKS="api.php extensions includes index.php languages load.php maintenance opensearch_desc.php resources serialized skins"
for i in ${LINKS}; do
  ln -s %{mwdatadir}/${i} ./${i}
done

## Remind user to remove this.
##
ln -s %{mwdatadir}/mw-config ./mw-config


mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -m 0644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/mediawiki119.conf
chmod 755 %{buildroot}%{mwdatadir}/includes/normal/UtfNormalTest2.php
chmod 755 %{buildroot}%{mwdatadir}/extensions/ConfirmEdit/captcha.py


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING CREDITS FAQ HISTORY INSTALL README RELEASE-NOTES-1.19 UPGRADE docs
%doc README.RPM keys.txt mediawiki-%{version}.tar.gz.sig
%attr(-,apache,apache) %dir %{mwdatadir}/images
%attr(0644,root,root)  %config(noreplace) %{_sysconfdir}/httpd/conf.d/mediawiki119.conf
%{mwikidir}
%{mwdatadir}


%changelog
* Tue Jan 28 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.19.11-2
- Provide mediawiki (mainly for EL5)

* Tue Jan 28 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.19.11-1
- Update to 1.19.11
- (bug 60339) (CVE-2014-1610) SECURITY: Reported RCE in djvu thumbnailing

* Tue Jan 14 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.19.10-1
- Security update to 1.19.10
- (bug 57550) (CVE-2013-6452) SECURITY: Disallow stylesheets in SVG Uploads
- (bug 58088) (CVE-2013-6451) SECURITY: Don't normalize U+FF3C to \ in CSS Checks
- (bug 58472) (CVE-2013-6454) SECURITY: Disallow -o-link in styles
- (bug 58553) (CVE-2013-6453) SECURITY: Return error on invalid XML for SVG Uploads
- (bug 58699) (CVE-2013-6472) SECURITY: Fix RevDel log entry information leaks

* Wed Nov 20 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.9-1
- Update to 1.19.9

* Tue Sep 03 2013 Patrick Uiterwijk <patrick@puiterwijk.org> - 1.19.8-1
- Update to 1.19.8

* Mon Jun 17 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.7-2
- Added load.php to the files to be symlinked

* Wed May 22 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.7-1
- Rebased to upstream 1.19.7

* Wed May 08 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.6-3
- Obsolete/provide mediawiki116

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.6-2
- Update the alias order in the example configuration

* Wed May 01 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.6-1
- Update to upstream 1.1.9.6 security update

* Fri Apr 19 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.5-2
- Updated README.RPM to reference to mw-config instead of config

* Mon Apr 15 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.5-1
- Update to upstream 1.19.5 security update

* Tue Mar 05 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.4-1
- Update to upstream 1.19.4

* Fri Dec 07 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.3-1
- Update to upstream 1.19.3

* Fri Dec 07 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.2-2
- Backported security fix for bug 40995 (RHBZ 882325)

* Mon Sep 10 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.19.2-1
- Update to upstream 1.19.2

* Mon Jun 25 2012 Stephen Smoogen <smooge@seiji.int.smoogespace.com> - 1.19.1-1
- Updating to 1.19.1 mediawiki RPM.

* Tue May 22 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 1.19.0-4
- Do all changes listed in the review.

* Wed May  9 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 1.19.0-3
- Fix items ian weller found for me.

* Tue May  8 2012 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 1.19.0-1
- Make it so it works with 1.19
- Remove mentions of hiphop since we don't ship that.

* Wed May 11 2011 Orion Poplawski <orion@cora.nwra.com> - 1.16.5-1
- Security update to 1.16.5, fixes:
    CVE-2011-1578 CVE-2011-1579 CVE-2011-1580 CVE-2011-1765 (Bug 696362)
    CVE-2011-0047 (Bug 674457)

* Sat Jan 15 2011 Stephen Smoogen <ssmoogen@ponyo.int.smoogespace.com> - 1.16.1-2
- Security update to 1.16.1 http://lists.wikimedia.org/pipermail/mediawiki-announce/2011-January/000093.html

* Tue Oct 12 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-6
- Change tex names to provide names
- Try a better find to remove ignored files
- Remove execstack

* Tue Sep  7 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-5
- Fix minor issues with patch and get works for me version

* Fri Sep  3 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-4
- Add patch from https://bugzilla.redhat.com/show_bug.cgi?id=484855

* Mon Aug 30 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-3
- More little fixes to make a sort of makefile inside of spec

* Thu Aug 26 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-2
- Make more rpmlint fixes

* Thu Aug 26 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-1
- Made a proper doc section versus a mv
- Made it so we don't over-write an played with mediawiki.conf file

* Wed Aug 25 2010 Stephen Smoogen <smooge@xanadu.int.smoogespace.com> - 1.16.0-1
- Take mainstream mediawiki-1.15 spec file and update
- Changed Readme.RPM to https://bugzilla.redhat.com/show_bug.cgi?id=475841
  (thankyou Milan Kerslager)
- Remove commoncode patch due to https://fedorahosted.org/fesco/ticket/225

* Wed Apr  7 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.3-53
- Update to 1.15.3 (Fixes login CSRF vulnerability).

* Wed Mar 31 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.2-51
- Update to 1.15.2 (Fixes CSS validation issue and data leakage
  vulnerability).

* Fri Jul 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.1-50
- Add a README.RPM and a sample apache mediawiki.conf file.

* Thu Jul 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.1-49
- All (runtime) dependencies from mediawiki need to move to
  mediawiki-nomath.

* Mon Jul 13 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.1-48
- Update to 1.15.1 (Fixes XSS vulnerability).

* Sat Jul 11 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.0-47
- Fix api.php breakage.

* Sat Jun 13 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.15.0-46
- Update to 1.15.0.

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Sat Feb 28 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.14.0-45
- Update to 1.14.0.

* Sun Feb 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-44
- Split package up, so some users can decide to not install math
  support (results in smaller installs), see RH bug #485447.

* Wed Feb 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.4-43
- Update to 1.13.4, closes RH bug #485728.

* Tue Dec 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.3-42
- Update to 1.13.3, closes RH bug #476621 (CVE-2008-5249,
  CVE-2008-5250, CVE-2008-5252 and CVE-2008-5687, CVE-2008-5688)

* Sun Oct  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.2-41
- Update to 1.13.2.

* Sun Aug 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-40
- Use consistently Patch0 and %%patch0.

* Sat Aug 16 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-39
- Update to 1.13.0.

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10.4-40
- fix license tag

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.4-38
- Update to 1.10.4.

* Tue Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.3-37
- Update to 1.10.3.
- Fixes CVE-2008-0460 (bug #430286).

* Wed May  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.0-35
- Update to 1.10.0.

* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.3-34
- Update to 1.9.4.

* Mon Feb  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.2-33
- Update to 1.9.2.

* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-32
- Fix permissions.
- Remove some parts not needed at runtime anymore.

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-31
- Update to 1.9.1.

* Sat Oct 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-28
- Update to 1.8.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.1-27
- Update to 1.8.1.
- Update to 1.8.0.

* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.7.1.

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.7.

* Fri May 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.6.

* Thu Apr 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.3.

* Sat Apr  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.2.

* Fri Apr  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.1.

* Mon Apr  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.8.

* Thu Mar  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.7.

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.6.

* Fri Jan  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.5.

* Sun Dec  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.3.

* Fri Nov  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.2.

* Mon Oct 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.1.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.0.

* Fri Sep  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5rc4.

* Sun Jul 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta4.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta3.

* Tue Jul  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta2.

* Sun Jul  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

